Drill into one allocation value
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/value-breakdown \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"showbackValue": "<string>",
"drillGroupBy": "<string>"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/value-breakdown"
payload = {
"showbackValue": "<string>",
"drillGroupBy": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({showbackValue: '<string>', drillGroupBy: '<string>'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/value-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/value-breakdown"
payload := strings.NewReader("{\n \"showbackValue\": \"<string>\",\n \"drillGroupBy\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Drill into one allocation value
POST
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
/
value-breakdown
Drill into one allocation value
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/value-breakdown \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"showbackValue": "<string>",
"drillGroupBy": "<string>"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/value-breakdown"
payload = {
"showbackValue": "<string>",
"drillGroupBy": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({showbackValue: '<string>', drillGroupBy: '<string>'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/value-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/value-breakdown"
payload := strings.NewReader("{\n \"showbackValue\": \"<string>\",\n \"drillGroupBy\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Showback ID
Body
application/json
Response
Drill into one allocation value
JSON object
Was this page helpful?
⌘I